const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi - 48)));
    if *((edi - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_90, v5_17);
    __asm_movsd_2(v5_1c);
    v1_4e = *((edi - 104)) % 32;
    z.y_global_2d_to_2d_local = v1_4e if v1_4e != 0 else 1 # z.y;
    fabsl(stack_var__2d_90 * edi + edi - edi);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v0_d0 = fpu_stat_TOP_global_2d_to_2d_local - 1;
    stack_var__2d_42_0 = 1.0;
    while True:;
        __asm_fprem();
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        # 0xd0;
        while __asm_wait() & 1024 != 0:;
            # 0xe1;
            __asm_fprem();
            __asm_wait();
            __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_fprem();
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        # 0xea;
        while __asm_wait() & 1024 != 0:;
            # 0xff;
            __asm_fprem();
            __asm_wait();
            __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_fprem();
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        # 0x108;
        while __asm_wait() & 1024 != 0:;
            # 0x11c;
            __asm_fprem();
            __asm_wait();
            __asm_fnstsw(fpsw_global_2d_to_2d_local);
        v7_15e = (*((edi - 72)) - *((edi - 148)) - *((edi - 148)) - *((edi - 148))) * *((edi - 120));
        v4_16d = 2 * 2 * v7_15e * *((edi - 124)) * *((edi - 128));
        sqrtl(2 * v4_16d * v4_16d);
        fabs(v4_16d);
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        fabs(*((edi - 100)));
        fabs(*((edi - 92)));
        z.x_global_2d_to_2d_local = __asm_wait();
        v1_23f = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        v7_24f = stack_var__2d_42_0 * *((edi - 16));
        v0_257 = z.y_global_2d_to_2d_local # bp+257;
        z.y_global_2d_to_2d_local = v0_257 - 1;
        if v0_257 <= 1:;
            # break -> 0x25e;
            break;
        stack_var__2d_42_0 = v7_24f;
    if *((edi - 76)) == 0:;
        # 0x264;
        v4_267_pre_2d_phi = v7_24f / *((edi - 32));
    else:;
        v4_267_pre_2d_phi = v7_24f;
    # 0x267;
    *((esi_global_2d_to_2d_local - 32)) = v4_267_pre_2d_phi;
    return z.x_global_2d_to_2d_local & -0x10000 | v1_23f & -0xff01 | v1_23f & 0x4100;


	}